from rest_framework import serializers
from opennebula.models import VM


class OpenNebulaVMSerializer(serializers.HyperlinkedModelSerializer):
    class Meta:
        model = VM
        fields = [ 'vmid', 'owner', 'data',
                   'uncloud_name', 'cores', 'ram_in_gb',
                   'disks', 'nics', 'ips' ]
