#!/bin/sh

set -x

netid=100
dev=wlp2s0
dev=wlp0s20f3
#dev=wlan0

ip=2a0a:e5c1:111:888::48/64
vxlandev=vxlan${netid}
bridgedev=br${netid}

ip -6 link add ${vxlandev} type vxlan \
    id ${netid} \
    dstport 4789 \
    group ff05::${netid} \
    dev ${dev} \
    ttl 5

ip link set ${vxlandev} up


ip link add ${bridgedev} type bridge
ip link set ${bridgedev} up

ip link set ${vxlandev} master ${bridgedev} up

ip addr add ${ip} dev ${bridgedev}
